package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.MerchantLog;

/**
 * 店铺信息Mapper接口
 * 
 * @author elev
 * @date 2022-01-10
 */
public interface MerchantLogMapper {
    /**
     * 查询店铺信息
     * 
     * @param merchantId 店铺信息主键
     * @return 店铺信息
     */
    MerchantLog selectMerchantLogByMerchantId(Long merchantId);

    /**
     * 查询店铺信息列表
     * 
     * @param merchantLog 店铺信息
     * @return 店铺信息集合
     */
    List<MerchantLog> selectMerchantLogList(MerchantLog merchantLog);

    /**
     * 新增店铺信息
     * 
     * @param merchantLog 店铺信息
     * @return 结果
     */
    int insertMerchantLog(MerchantLog merchantLog);

    /**
     * 修改店铺信息
     * 
     * @param merchantLog 店铺信息
     * @return 结果
     */
    int updateMerchantLog(MerchantLog merchantLog);

    /**
     * 删除店铺信息
     * 
     * @param merchantId 店铺信息主键
     * @return 结果
     */
    int deleteMerchantLogByMerchantId(Long merchantId);

    /**
     * 批量删除店铺信息
     * 
     * @param merchantIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteMerchantLogByMerchantIds(Long[] merchantIds);
}
